curl -X GET 'https://api.example.com/scopes?ids=scope_1,scope_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes', {
params: { ids: 'scope_1,scope_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_1",
"name": "Acme Organization",
"typeId": "type_org",
"externalId": "org-acme"
},
{
"id": "scope_2",
"name": "Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
]
Scopes
Get Scopes
Retrieve scopes by their IDs
GET
/
scopes
curl -X GET 'https://api.example.com/scopes?ids=scope_1,scope_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes', {
params: { ids: 'scope_1,scope_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_1",
"name": "Acme Organization",
"typeId": "type_org",
"externalId": "org-acme"
},
{
"id": "scope_2",
"name": "Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
]
Query Parameters
string
Comma-separated list of scope IDs to retrieve
Response
Returns an array of scope objects.array
curl -X GET 'https://api.example.com/scopes?ids=scope_1,scope_2' \
-H 'Authorization: Bearer YOUR_TOKEN'
const axios = require('axios');
const { data } = await axios.get('https://api.example.com/scopes', {
params: { ids: 'scope_1,scope_2' },
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
[
{
"id": "scope_1",
"name": "Acme Organization",
"typeId": "type_org",
"externalId": "org-acme"
},
{
"id": "scope_2",
"name": "Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
]
Was this page helpful?
⌘I